com.creamtec.ajaxswing

## Class JVMProcess_Stub

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteStub
    - - com.creamtec.ajaxswing.JVMProcess_Stub

- All Implemented Interfaces:
    JVMProcessRemote, java.io.Serializable, java.rmi.Remote

      public final class JVMProcess_Stub
      extends java.rmi.server.RemoteStub
      implements JVMProcessRemote, java.rmi.Remote

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JVMProcess_Stub()`
    `JVMProcess_Stub(java.rmi.server.RemoteRef ref)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientAgentRemote` | `createClientAgent(java.lang.String $param_String_1)`
    `void` | `shutdown()`
    `void` | `shutdownClientAgent(ClientAgentRemote $param_ClientAgentRemote_1)`

    - ### Methods inherited from class java.rmi.server.RemoteObject

      `equals, getRef, hashCode, toString, toStub`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JVMProcess_Stub

          public JVMProcess_Stub()

    - #### JVMProcess_Stub

          public JVMProcess_Stub(java.rmi.server.RemoteRef ref)

  - ### Method Detail

    - #### createClientAgent

          public ClientAgentRemote createClientAgent(java.lang.String $param_String_1)
                                              throws java.lang.Exception

      Specified by:
        `createClientAgent` in interface `JVMProcessRemote`
      Throws:
        `java.lang.Exception`

    - #### shutdown

          public void shutdown()
                        throws java.lang.Exception

      Specified by:
        `shutdown` in interface `JVMProcessRemote`
      Throws:
        `java.lang.Exception`

    - #### shutdownClientAgent

          public void shutdownClientAgent(ClientAgentRemote $param_ClientAgentRemote_1)
                                   throws java.lang.Exception

      Specified by:
        `shutdownClientAgent` in interface `JVMProcessRemote`
      Throws:
        `java.lang.Exception`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.